• Home
  • FAQs
  • Which web browsers are compatible with the platform?

Compatible browsers

The following web browsers are supported for Questionmark’s administrative software:

  • Chrome *
  • Firefox *
  • Microsoft Edge *
  • Internet Explorer 11 (Compatibility View isn’t supported.)

* Only the latest vendor-supported versions of browsers are supported for Questionmark in order to ensure the highest level of security and stability. If you’re using one of these browsers, please ensure that it’s the most current version.

The following web browsers are supported for the delivery of assessments:

  • ​Internet Explorer 9 $
  • Internet Explorer 10 $
  • Internet Explorer 11 (Compatibility View isn’t supported.)
  • Microsoft Edge *
  • Firefox *
  • Safari 9
  • Safari 10
  • Safari 11
  • Chrome * ^
  • Android browser 2+

$ TLS 1.0 is being disabled for OnDemand in the 2018.08 release. Participants using Windows 7 are encouraged to upgrade to Internet Explorer 11, but if Internet Explorer 11 cannot be used, participants need to be on at least Windows 7 SP1 and make the configuration changes described in Which TLS settings should I use if I’m using Internet Explorer 9 or 10 on Windows 7? to avoid issues when taking assessments.

* Due to the frequent release schedule of these browsers, full support of new versions cannot be guaranteed. Questionmark makes every effort to support the latest versions of these browsers as they are released.^ Mobile support for participant reports is limited at this time.